# Loginom Silver Kit

* Версия: 1.4.2
* Проверено: Все редакции Loginom 6.4.2

Библиотека **Loginom Silver Kit** поддерживается и развивается **Loginom Company**. В ней представлены простые и полезные компоненты, облегчающие рутинный труд аналитика по разработке сценариев обработки данных. Компоненты библиотеки широко используются в электронных учебных курсах  компании и библиотеках компонентов к бизнес-курсам.

## Установка

1. Распакуйте архив **loginom-silver-kit.zip**

2. Поместите папку **silver_kit**:
   * Для серверных редакций — в рабочий каталог Loginom Server (в папку пользователя или в общую папку пользователей;
   * Для настольных редакций — в любую на локальном диске

3. Добавьте ссылку на пакет **loginom_silver_kit.lgp** в своем пакете и используйте компоненты библиотеки

## Требования

Для работы библиотеки **Loginom Silver Kit** необходимо:

* Установленное ПО Loginom. Версия не ниже 6.4.2

## Список компонентов

### ETL и подготовка данных

* [ABC-анализ](./docs/abc-analysis.md)
* [ABC-анализ (метод касательных)](./docs/abc-analysis-method-of-tangents.md)
* [XYZ-анализ](./docs/xyz-analysis.md)
* [Выделение периода](./docs/period-selection.md)
* [Заполнение периодов](./docs/filling-in-periods.md)
* [Редкие значения](./docs/rare-values.md)
* [Разбиение на пачки](./docs/fragmentation.md)
* [Разделитель строк](./docs/cell-splitter.md)
* [Сэмплинг объектов](./docs/objects-sampling.md)

### Data Mining

* [AUC](./docs/auc.md)
* [ROC-анализ](./docs/roc.md)
* [Динамика события](./docs/dynamics-of-events.md)
* [Кластерные силуэты](./docs/cluster-silhouettes.md)
* [Сравнение кластеризаций](./docs/comparison-of-clustering.md)
* [Сравнение метрик](./docs/comparison-of-metrics.md)
* [Статистическая значимость](./docs/statistical-significance.md)

### Утилиты

* [Генератор календаря](./docs/calendar-generator.md)
* [Генератор пустых полей](./docs/empty-filds-generator.md)
* [Категория к числу](./docs/category-to-number.md)
* [Случайная категория](./docs/random-category.md)
* [Фильтр столбцов](./docs/column-filter.md)
