# ABC-анализ (метод касательных)

[Назад к списку компонентов](../README.md)

## Назначение

Аналогичен компоненту [ABC-анализ](../lml-abc-analysis/README.md), но границы групп определяются автоматически методом касательных.
Далее объекты распределяются на три группы (A, B, C) согласно рассчитанным границам групп.

## Входные порты

| Название             | Тип     |
|:---------------------|:--------|
| Входной набор данных | Таблица |

### Структура таблицы "Входной набор данных"

| Метка      | Тип                                    | Описание                                                                                         |
|:-----------|:---------------------------------------|:-------------------------------------------------------------------------------------------------|
| Объект     | ![](./img/string.svg) Строковый        | Идентификатор или наименование объекта, по которому проводится анализ. Например, артикул товара  |
| Показатель | ![](./img/realnumber.svg) Вещественный | Значение показателя по объекту. Например, сумма продаж                                           |

## Выходные порты

| Название                     | Тип        |
|:-----------------------------|:-----------|
| ABC-группы и вклады объектов | Таблица    |
| Границы групп                | Переменные |

### Структура таблицы "ABC-группы и вклады объектов"

| Метка                    | Тип                                    | Описание                                 |
|:-------------------------|:---------------------------------------|:-----------------------------------------|
| Объект                   | ![](./img/string.svg) Строковый        | Идентификатор или наименование объекта   |
| Показатель               | ![](./img/realnumber.svg) Вещественный | Значение показателя по объекту           |
| Вклад нарастающим итогом | ![](./img/realnumber.svg) Вещественный | Накопительный вклад объектов             |
| Группа                   | ![](./img/string.svg) Строковый        | Идентификатор группы объекта             |

### Переменные в порте "Границы групп"

| № | Метка               | Тип                                    | Описание                               |
|:--|:--------------------|:---------------------------------------|:---------------------------------------|
| 1 | Граница группы A, % | ![](./img/realnumber.svg) Вещественный | Рассчитанное значение границы группы A |
| 2 | Граница группы B, % | ![](./img/realnumber.svg) Вещественный | Рассчитанное значение границы группы B |

## Алгоритмы

* [Метод касательных в ABC-анализе](https://basegroup.ru/community/articles/abc-tangent)