# Сравнение кластеризаций

[Назад к списку компонентов](../README.md)

## Назначение

Предназначен для расчета относительных метрик оценки качества двух кластеризаций (мер близости):

* индекса Рэнда;
* индекса Фолкса-Маллоуса;
* индекса Жаккара;
* разностного разделения.

## Входные порты

| Название             | Тип        |
|:---------------------|:-----------|
| Входной набор данных | Таблица    |
| Доля выборки         | Переменные |

### Структура таблицы "Входной набор данных"

| Метка            | Тип                              | Описание                                       |
|:-----------------|:---------------------------------|:-----------------------------------------------|
| Идентификатор    | ![](./img/string.svg) Строковый  | Идентификатор объекта                          |
| Номер кластера 1 | ![](./img/integer.svg) Целый     | Номер кластера объекта по первой кластеризации |
| Номер кластера 2 | ![](./img/integer.svg) Целый     | Номер кластера объекта по второй кластеризации |

### Переменные в порте "Доля выборки"

| № | Метка           | Тип                                    | Значение  |
|:--|:----------------|:---------------------------------------|:----------|
| 1 | Доля выборки, % | ![](./img/realnumber.svg) Вещественный | 100       |

**Для выборки, %** — позволяет задать долю объектов, которые будут участвовать в формировании счетных пар. По умолчанию участвуют все объекты (100%).

### Выходные порты

| Название  | Тип        |
|:----------|:-----------|
| Индексы   | Переменные |

### Переменные в порте "Индексы"

| № | Метка                     | Тип                                    | Описание                                                                                       |
|:--|:--------------------------|:---------------------------------------|:-----------------------------------------------------------------------------------------------|
| 1 | Индекс Рэнда              | ![](./img/realnumber.svg) Вещественный | Значение лежит в диапазоне от 0 до 1, 1 говорит об идентичности кластеризаций     |
| 2 | Индекс Фолкса-Маллоуса    | ![](./img/realnumber.svg) Вещественный | Обычно используется при иерархической кластеризации. 1 указывает на идентичность кластеризаций      |
| 3 | Индекс Жаккара            | ![](./img/realnumber.svg) Вещественный | Рассчитывается при исключении числа наблюдений, попавших в обеих кластеризациях в разные кластеры. Чем выше значение индекса, тем ближе кластеризации  |
| 4 | Разностное разделение     | ![](./img/integer.svg) Целый           | Количество пар объектов, которые принадлежат различным кластерам в кластеризациях            |

## Дополнительная литература

1. [Clustering performance evaluation](http://scikit-learn.org/stable/modules/clustering.html#clustering-evaluation) — портал scikit-learn.org
2. [Fowlkes–Mallows index](https://en.wikipedia.org/wiki/Fowlkes%E2%80%93Mallows_index) — Wikipedia
3. [Коэффициент Жаккара](https://ru.wikipedia.org/wiki/%D0%9A%D0%BE%D1%8D%D1%84%D1%84%D0%B8%D1%86%D0%B8%D0%B5%D0%BD%D1%82_%D0%96%D0%B0%D0%BA%D0%BA%D0%B0%D1%80%D0%B0) — Wikipedia
