# Заполнение периодов

[Назад к списку компонентов](../README.md)

## Назначение

Предназначен для добавления по объекту отсутствующих периодов (между первым и последним периодами) для создания полного временного ряда.

Использует компоненты [Генератор календаря](./calendar-generator.md) и [Выделение периода](./period-selection.md).

## Входные порты

| Название             | Тип        |
|:---------------------|:-----------|
| Входной набор данных | Таблица    |
| Переменные           | Переменные |

### Структура таблицы "Входной набор данных"

| Метка      | Тип                                | Описание                                               |
|:-----------|:-----------------------------------|:-------------------------------------------------------|
| ID объекта | ![](./img/string.svg) Строковый    | Идентификатор объекта: клиента, товара, события и т.п  |
| Период     | ![](./img/datetime.svg) Дата/время | Список периодов по каждому объекту                     |

### Переменные в порте "Переменные"

| № | Метка           | Тип                               | Значение  |
|:--|:----------------|:----------------------------------|:----------|
| 1 | Тип периода     | ![](./img/string.svg) Строковый   | m         |
| 2 | Первый день     | ![](./img/logical.svg) Логический | true      |

1. Допустимые типы периодов:

* y — год;
* q — квартал;
* m — месяц (по умолчанию);
* im — месяц по ISO;
* w — неделя;
* iw — неделя по ISO;
* d — день.

2. **Первый день** — при значении **true** (по умолчанию) период в выходной таблице будет обозначаться его первой датой, иначе — последней датой.

## Выходные порты

| Название             | Тип        |
|:---------------------|:-----------|
| Набор данных         | Таблица    |

### Структура таблицы "Набор данных"

| Метка        | Тип                                | Описание                                           |
|:-------------|:-----------------------------------|:---------------------------------------------------|
| ID объекта   | ![](./img/string.svg) Строковый    | Идентификатор объекта                              |
| Период       | ![](./img/datetime.svg) Дата/время | Список периодов по объекту (полный временной ряд)  |
