# Разбиение на пачки

[Назад к списку компонентов](../README.md)

## Назначение

Компонент предназначен для разбиения набора данных на пачки заданного размера. Применяется, когда требуется организовать выполнение сценария или фрагмента сценария по частям.

Применяется простое разбиение — подсчет количества строк по каждому идентификатору и их суммирование, пока не достигнут заданный в переменной размер пачки.

## Входные порты

| Название              | Тип        |
|:----------------------|:-----------|
| Идентификатор объекта | Таблица    |
| Переменные            | Переменные |

### Структура таблицы "Идентификатор объекта"

| Метка                  | Тип                             | Описание                               |
|:-----------------------|:--------------------------------|:---------------------------------------|
| Идентификатор объекта  | ![](./img/string.svg) Строковый | Поле, по которому происходит разбиение |

**Обратите внимание**: для поля **Идентификатор объекта** необходимо подавать на вход реальное количество записей, в котором присутствует каждый идентификатор (НЕ список уникальных значений), т.к. разбиение будет производиться на основе расчета количества записей по каждому объекту.

### Переменные в порте "Переменные"

| № | Метка                | Тип                          | Значение |
|:--|:---------------------|:-----------------------------|:---------|
| 1 | Кол-во строк в пачке | ![](./img/integer.svg) Целый | 100      |

**Кол-во строк в пачке** — максимально допустимый размер пачки, задается пользователем.

## Выходные порты

| Название              | Тип        |
|:----------------------|:-----------|
| Набор данных          | Таблица    |
| Границы пачек         | Таблица    |

### Структура таблицы "Набор данных"

| Метка                            | Тип                              | Описание                                   |
|:---------------------------------|:---------------------------------|:-------------------------------------------|
| Идентификатор объекта            | ![](./img/string.svg) Строковый  | Уникальный идентификатор объекта           |
| Номер пачки                      | ![](./img/integer.svg) Целый     | Номер пачки, в которую попал объект        |

### Структура таблицы "Границы пачек"

| Метка                                           | Тип                              | Описание                                                                                |
|:------------------------------------------------|:---------------------------------|:----------------------------------------------------------------------------------------|
| Номер пачки                                     | ![](./img/integer.svg) Целый     | Уникальный номер пачки                                                                  |
| Идентификатор объекта: первый                   | ![](./img/string.svg) Строковый  | ID первого объекта, попавшего в пачку (сортировка по возрастанию по строковому полю)    |
| Идентификатор объекта: последний (ObjectIDLast) | ![](./img/string.svg) Строковый  | ID последнего объекта, попавшего в пачку (сортировка по возрастанию по строковому полю) |
