# Выделение периода

[Назад к списку компонентов](../README.md)

## Назначение

Позволяет преобразовать значения в поле типа **Дата/время** в период. Период может обозначаться первой или последней его датой, возможно выделение периодов по ISO (месяц, неделя).

Как правило, компонент используется с целью последующей группировки по периоду с различными опциями.

## Входные порты

| Название             | Тип        |
|:---------------------|:-----------|
| Входной набор данных | Таблица    |
| Переменные           | Переменные |

### Структура таблицы "Входной набор данных"

| Метка        | Тип                                | Описание                                                |
|:-------------|:-----------------------------------|:--------------------------------------------------------|
| ID объекта   | ![](./img/string.svg) Строковый    | Идентификатор объекта: клиента, товара, события и т.п.  |
| Дата         | ![](./img/datetime.svg) Дата/время | Дата, которую необходимо преобразовать                  |

### Переменные в порте "Переменные"

| № | Метка           | Тип                               | Значение  |
|:--|:----------------|:----------------------------------|:----------|
| 1 | Тип периода     | ![](./img/string.svg) Строковый   | m         | 
| 2 | Первый день     | ![](./img/logical.svg) Логический | true      |

1. Допустимые типы периодов:

* y — год;
* q — квартал;
* m — месяц (по умолчанию);
* im — месяц по ISO;
* w — неделя;
* iw — неделя по ISO;
* d — день.

2. **Первый день** — при значении **true** (по умолчанию) период в выходной таблице будет обозначаться его первой датой, иначе — последней датой.

## Выходные порты

| Название             | Тип        |
|:---------------------|:-----------|
| Набор данных         | Таблица    |

### Структура таблицы "Набор данных"

| Метка      | Тип                                | Описание                                                |
|:-----------|:-----------------------------------|:--------------------------------------------------------|
| ID объекта | ![](./img/string.svg) Строковый    | Идентификатор объекта                                   |
| Дата       | ![](./img/datetime.svg) Дата/время | Исходная дата                                           |
| Период     | ![](./img/datetime.svg) Дата/время | Период, к которому относится исходная дата              |
