# Случайная категория

[Назад к списку компонентов](../README.md)

## Назначение

Присваивает каждому объекту из списка n-случайных категорий с учетом вероятности выбора категории. Для одного объекта категории не повторяются.

## Входные порты

| Название      | Тип        |
|:--------------|:-----------|
| Объекты       | Таблица    |
| Категории     | Таблица    |
| Переменные    | Переменные |

### Структура таблицы "Объекты"

| Метка      | Тип                                | Описание                               |
|:-----------|:-----------------------------------|:---------------------------------------|
| Объект     | ![](./img/string.svg) Строковый    | Идентификатор или наименование объекта (например, клиента) |

### Структура таблицы "Категории"

| Метка         | Тип                                | Описание |
|:--------------|:-----------------------------------|:---------|
| Категория     | ![](./img/string.svg) Строковый    | Идентификатор или наименование категории (например, товара) |
| Вещественный  | ![](./img/string.svg) Строковый    | Значение, относящее к категории (например, количество покупок) |

### Переменные в порте "Переменные"

| № | Метка                       | Тип                            | Значение |
|:--|:----------------------------|:-------------------------------|:---------|
| 1 | Количество категорий        | ![](./img/integer.svg) Целый   | 3        |

## Выходные порты

| Название      | Тип        |
|:--------------|:-----------|
| Набор данных  | Таблица    |

### Структура таблицы "Набор данных"

| Метка         | Тип                                | Описание                               |
|:--------------|:-----------------------------------|:---------------------------------------|
| Объект        | ![](./img/string.svg) Строковый    | Идентификатор или наименование объекта |
| Категория     | ![](./img/string.svg) Строковый    | Категория, присвоенная объекту         |

## Алгоритмы

1. Расчет вероятности выбора категории: Показатель по категории / Общая сумма показателей по всем категориям.
2. Формирование границ по категориям. Верхняя граница — накопительное значение вероятности.
3. Генерация случайного числа по каждому объекту и проверка, в границы какой категории оно попало.
4. Проверка, не была ли эта категория уже присвоена объекту ранее. Если была, повторяем пункты 3,4.
