# Редкие значения

[Назад к списку компонентов](../README.md)

## Назначение

Поиск редких значений полей, формирование таблицы замен с учетом пороговой частоты для редких значений и условия замены единичных значений.

## Входные порты

| Название             | Тип        |
|:---------------------|:-----------|
| Входной набор данных | Таблица    |
| Переменные           | Переменные |

### Структура таблицы "Входной набор данных"

| Метка         | Тип                                 | Описание                                            |
|:--------------|:------------------------------------|:----------------------------------------------------|
| Идентификатор | ![](./img/undefined.svg) Переменный | Идентификатор объекта                               |
| Поле          | ![](./img/string.svg) Строковый     | Наименование поля, к которому относится значение    |
| Значение      | ![](./img/undefined.svg) Переменный | Значение поля                                       |

### Переменные в порте "Переменные"

| № | Метка                     | Тип                                    | Значение   |
|:--|:--------------------------|:---------------------------------------|:-----------|
| 1 | Пороговое значение        | ![](./img/realnumber.svg) Вещественный | 0,0125     |
| 2 | Замена единичных значений | ![](./img/logical.svg) Логический      | false      |
| 3 | Заменять на               | ![](./img/string.svg) Строковый        | Прочее     |

1. **Пороговое значение** — пороговое значение частоты встречаемости, ниже которого значение считается редким. Задается пользователем.

2. **Замена единичных значений** — определяет, заменить ли значение в поле, если в нем найдено только одно редкое значение (**true**), или сохранить список уникальных значений в поле (**false**, по умолчанию).

3. **Заменять на** — значение, на которое будут заменены редкие значения. Задается пользователем.

## Выходные порты

| Название              | Тип        |
|:----------------------|:-----------|
| Набор данных          | Таблица    |
| Замененные значения   | Таблица    |
| Таблица замен         | Таблица    |

### Структура таблицы "Набор данных"

| Метка             | Тип                                   | Описание                                                                                |
|:------------------|:--------------------------------------|:----------------------------------------------------------------------------------------|
| Идентификатор     | ![](./img/undefined.svg) Переменный   | Идентификатор объекта                                                                   |
| Поле              | ![](./img/string.svg) Строковый       | Наименование поля, к которому относится значение                                        |
| Исходное значение | ![](./img/undefined.svg) Переменный   | Значение, которое было на входе                                                         |
| Новое значение    | ![](./img/logical.svg) Переменный     | Если исходное значение признано редким, указывается значение переменной **Заменять на** |
| Заменено          | Логический                            | Флаг, показывающий, была ли проведена замена                                            |

### Структура таблицы "Замененные значения"

| Метка             | Тип                                 | Описание                                                        |
|:------------------|:------------------------------------|:----------------------------------------------------------------|
| Поле              | ![](./img/string.svg) Строковый     | Поле, значение которого было заменено                           |
| Исходное значение | ![](./img/undefined.svg) Переменный | Значение, которое было заменено                                 |
| Количество замен  | ![](./img/integer.svg) Целый        | Количество раз, котрое значение было заменено во входном наборе |

### Структура таблицы "Таблица замен"

| Метка             | Тип                                 | Описание                                |
|:------------------|:------------------------------------|:----------------------------------------|
| Поле              | ![](./img/string.svg) Строковый     | Поле, значение которого было заменено   |
| Исходное значение | ![](./img/undefined.svg) Переменный | Значение, которое было заменено         |
| Новое значение    | ![](./img/undefined.svg) Переменный | Значение, на которое оно было заменено  |

## Алгоритмы

Для каждого уникального значения в конкретном поле рассчитывается доля объектов. Все значения объектов, доля которых ниже порога, заменяются на строковое значение, указанное в переменной **Заменять на** (по умолчанию **Прочее**).
