# XYZ-анализ

[Назад к списку компонентов](../README.md)

## Назначение

XYZ-анализ позволяет классифицировать ресурсы в зависимости от стабильности их потребления на основе оценки значений коэффициентов вариации.
В компоненте происходит разделение объектов на три группы (X, Y, Z) согласно границам коэффициента вариации. Границы групп задаются в переменных.

## Входные порты

| Название             | Тип        |
|:---------------------|:-----------|
| Входной набор данных | Таблица    |
| Переменные           | Переменные |

### Структура таблицы "Входной набор данных"

| Метка      | Тип                                    | Описание                                                                                         |
|:-----------|:---------------------------------------|:-------------------------------------------------------------------------------------------------|
| Объект     | ![](./img/string.svg) Строковый        | Идентификатор или наименование объекта, по которому проводится анализ. Например, артикул товара  |
| Показатель | ![](./img/realnumber.svg) Вещественный | Значение показателя по объекту. Например, сумма продаж                                           |

### Переменные в порте "Границы групп"

| № | Метка               | Тип                                    | Значение   |
|:--|:--------------------|:---------------------------------------|:-----------|
| 1 | Граница группы X, % | ![](./img/realnumber.svg) Вещественный | 10         |
| 2 | Граница группы Y, % | ![](./img/realnumber.svg) Вещественный | 25         |

Границы групп устанавливаются пользователем. По умолчанию указаны границы, которые используются чаще всего.

## Выходные порты

| Название   | Тип     |
|:-----------|:--------|
| XYZ-группы | Таблица |

### Структура таблицы "XYZ-группы"

| Метка                   | Тип                                    | Описание                                |
|:------------------------|:---------------------------------------|:----------------------------------------|
| Объект                  | ![](./img/string.svg) Строковый        | Идентификатор или наименование объекта  |
| Группа                  | ![](./img/string.svg) Строковый        | Идентификатор группы объекта            |
| Коэффициент вариации, % | ![](./img/realnumber.svg) Вещественный | Значение коэффициента вариации, %       |
| Среднее значение        | ![](./img/realnumber.svg) Вещественный | Среднее значение показателя для объекта |

## Алгоритмы

* [XYZ-анализ — материал из Wikipedia](https://ru.wikipedia.org/wiki/XYZ-%D0%B0%D0%BD%D0%B0%D0%BB%D0%B8%D0%B7)